/** Copyright (C) 2017 by Bundesanstalt für Gewässerkunde
 * Software engineering by
 *  Björnsen Beratende Ingenieure GmbH
 *  Dr. Schumacher Ingenieurbüro für Wasser und Umwelt
 *
 * This file is Free Software under the GNU AGPL (>=v3)
 * and comes with ABSOLUTELY NO WARRANTY! Check out the
 * documentation coming with Dive4Elements River for details.
 */
package org.dive4elements.river.client.client.artifacthelper;

import org.dive4elements.river.client.shared.model.Artifact;
import org.dive4elements.river.client.shared.model.Data;
import org.dive4elements.river.client.shared.model.DataList;

/**
 * @author Domenico Nardi Tironi
 *
 */
public class ArtifactHelper {

    private final Artifact artifact;

    public ArtifactHelper(final Artifact artifact) {
        this.artifact = artifact;
    }

    public Data getOldDataByKey(final String keyLabel) {
        final DataList[] oldData = this.artifact.getArtifactDescription().getOldData();
        for (final DataList dataList : oldData) {
            for (final Data data : dataList.getAll()) {
                if (data.getLabel().equals(keyLabel)) {
                    return data;
                }
            }
        }
        return null;
    }
}
